package io.gmss.fiscad.interfaces.statistique;

import io.gmss.fiscad.paylaods.response.StatEnqueteAdminDecoupageResponse;
import io.gmss.fiscad.paylaods.response.StatEnqueteAdminStructureResponse;
import io.gmss.fiscad.paylaods.response.StatEnqueteParBlocResponse;
import io.gmss.fiscad.paylaods.response.StatEnqueteParStatutResponse;

import java.util.List;

public interface StatistiquesService {
    List<StatEnqueteParStatutResponse> getStatEnqueteParStatut();

    List<StatEnqueteAdminDecoupageResponse> getStatEnqueteAdminDecoupage(Long idCommune);

    List<StatEnqueteAdminStructureResponse> getStatEnqueteAdminStructure();

    List<StatEnqueteParBlocResponse> getStatBloc();

}
